package com.mosty.bkzx.mapper;

import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface XdxxMapper {

    @ApiOperation("根据身份证号查询行动信息数量")
    int queryXdxxBYSzfhCount(Map<String, Object> map);

    @ApiOperation("根据身份证号查询行动信息列表")
    List<Map<String, Object>> queryXdxxBYSzfh(Map<String, Object> map);

    @ApiOperation("行动人员数量")
    int xdrylbCount(Map<String, Object> map);

    @ApiOperation("行动人员列表")
    List<Map<String, Object>> xdrylb(Map<String, Object> map);

    @ApiOperation("行动人员统计")
    List<Map<String, Object>> xdrytj(Map<String, Object> map);

    @ApiOperation("行动信息数量")
    int xdxxlbCount(Map<String, Object> map);

    @ApiOperation("行动信息列表")
    List<Map<String, Object>> xdxxlb(Map<String, Object> map);

    @ApiOperation("行动信息统计")
    List<Map<String, Object>> xdxxtj(Map<String, Object> map);
}
